[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBGrids' (#lcl)

# TCustomDBGrid.HeaderClick

Performs actions needed when a column header is clicked or dragged for the grid control.

## Declaration

Source position: dbgrids.pas line 483

`protected procedure TCustomDBGrid.HeaderClick(`
`IsColumn: Boolean;`
`index: Integer`
`); override;`

## Arguments

`IsColumn` |  | True if the click notification is for a column. False if the notification is for a row.
`index` |  | Ordinal position in Columns for the column click notification.

## Description

HeaderClick is an overridden method in TCustomDBGrid. It reimplements the method introduced in TCustomGrid to call the private DoHeaderClick method when a column header is clicked (IsColumn is True). This causes the OnTitleClick event handler to be signalled (when assigned) if a column has been defined for the column number in Index.

HeaderClick does not call the inherited method.

HeaderClick is called from the inherited MouseUp and DialogChar methods.

## See also

TCustomDBGrid.OnTitleClick |  | Event handler for mouse clicks on a Title cell.
TCustomGrid.HeaderClick |  | Performs actions needed when a mouse click occurs in a fixed header for a grid column or row.
TCustomGrid.MouseUp |  | Handles a mouse up event for the grid control.
TCustomGrid.DialogChar |  | Applies an accelerator key for a column in the grid.